短的
嘿,完成这项工作可能很容易,但是在modelspace>中更改我的观点的命令是什么?谢谢李先生。
我想设置一个iso视图自动。。。
论坛结果
(command "_-view" "_swiso"
) ;End command 等平面
是Izzat吗? 不,正如你所知,他们是一个顶部,底部,左侧,右侧,西南iso,东南iso视图等。。
我想按命令设置sw等轴测视图,并将其放在列表中,以便启动任何其他命令,他必须更改视图;) 也许以下内容会有所帮助
(Defun c:test ()
(if
(progn
(initget "SW SE NE NW")
(setq Input (getkword "\n")))
(cond
((= Input "SW")(command "_-view" "_swiso"))
((= Input "SE")(command "_-view" "_seiso" ))
((= Input "NE")(command "_-view" "_neiso" ))
((= Input "NW")(command "_-view" "_swiso"))
)
)
)
当做
杰米 感谢Gile(我想,这是我很久以前发现的)。
;view switch
;|
0 > bottom
1 > SW iso
2 > front
3 > SE iso
4 > left
5 > top
6 > right
7 > NO iso
8 > back
9 > NE iso
|;
(mapcar
'(lambda (f v)
(eval (list 'defun-q
f
nil
(list 'command "_.view" v)
(list 'princ v)
'(princ)
)
)
)
'(c:0 c:1 c:2 c:3 c:4 c:5 c:6 c:7 c:8 c:9)
'("_bottom" "_swiso" "_front" "_seiso" "_left"
"_top" "_right" "_nwiso" "_back" "_neiso"
)
)
对应数字键盘。 是的,它很旧,但仍然很有用。。。
注:不需要defun-q。 是的,我知道,但我张贴它正是我从你那里复制的。我从未使用过它,但一直在使用它来制作圆角:
(mapcar
'(lambda (f r)
(eval (list 'defun
f
nil
(list 'setvar "filletrad" r)
(list 'princ (strcat "\nFillet radius set to: " (rtos r)))
(list 'command "_.fillet")
'(princ)
)
)
)
'(c:FF c:F1 c:F15 c:F2 c:F3 c:F4 c:F45 c:F5 c:F6 c:F7 c:F8 c:F9)
'(0 1 1.5 2 3 4 4.5 5 6 7 8 9)
) 我更喜欢。设置视点
(defun c:vcomp (/ comp)
(initget 1 "N S E W NE NW SE SW ENE NNE WNW NNW ESE SSE WSW SSW")
(setq comp (getkword "\nCompass View Direction: "))
(command "_.VPOINT" "_R")
(cond ((= comp "E") (command 0 0))
((= comp "ENE") (command22.5 22.5))
((= comp "NE")(command45 45))
((= comp "NNE") (command67.5 22.5))
((= comp "N") (command90 0))
((= comp "NNW") (command 112.5 22.5))
((= comp "NW")(command 135 45))
((= comp "WNW") (command 157.5 22.5))
((= comp "W") (command 180 0))
((= comp "WSW") (command 202.5 22.5))
((= comp "SW")(command 225 45))
((= comp "SSW") (command 247.5 22.5))
((= comp "S") (command 270 0))
((= comp "SSE") (command 292.5 22.5))
((= comp "SE")(command 315 45))
((= comp "ESE") (command 337.5 22.5)))
(command "_.UCS" (if (member comp '("N" "S" "E" "W")) "_V" "_W"))
(prin1))
它给了我更多的控制权-大卫 嘿谢谢你的回复,我还得试试,如果有用的话我会告诉你的
尊敬的先生
诚然,SE(例如)一词是可以解释的——我之所以提出这一点,是因为AutoCAD的seiso在纸空间标注方面确实有一些优势——但与XY平面的角度=35.264与vpoint(1.-1,1)不更一致吗?
页:
[1]
2